package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Resume;
import com.ruoyi.web.work.domain.dto.ResumeAdvantageDto;
import com.ruoyi.web.work.domain.dto.ResumeBaseDto;
import com.ruoyi.web.work.domain.dto.ResumeStateDto;

import java.util.List;

/**
 * @author lsw
 * @date 2024-06-04
 */
public interface IResumeService extends IService<Resume> {
    List<Resume> selectList(Resume resume);

    AjaxResult index();

    /**
     * 编辑个人基本信息
     *
     * @param dto
     * @return
     */
    AjaxResult base(ResumeBaseDto dto);

    /**
     * 编辑个人优势
     *
     * @param dto
     * @return
     */
    AjaxResult advantage(ResumeAdvantageDto dto);

    /**
     * 编辑求职状态
     *
     * @param dto
     * @return
     */
    AjaxResult state(ResumeStateDto dto);
}
